# Uses of Interface
org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter.Registry

Packages that use IDifferenceFilter.Registry
Package
Description
org.eclipse.emf.compare.rcp.ui
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

## Uses of IDifferenceFilter.Registry in org.eclipse.emf.compare.rcp.ui

Methods in org.eclipse.emf.compare.rcp.ui that return IDifferenceFilter.Registry
Modifier and Type
Method
Description
`IDifferenceFilter.Registry`
EMFCompareRCPUIPlugin.`getDifferenceFilterRegistry()`

## Uses of IDifferenceFilter.Registry in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions

Constructors in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions with parameters of type IDifferenceFilter.Registry
Modifier
Constructor
Description
``
`FilterActionMenu(StructureMergeViewerFilter structureMergeViewerFilter, IDifferenceFilter.Registry registry)`
Constructs our filtering menu.

## Uses of IDifferenceFilter.Registry in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl that implement IDifferenceFilter.Registry
Modifier and Type
Class
Description
`class`
`DifferenceFilterRegistryImpl`
The default implementation of the `IDifferenceFilter.Registry`.